// DlgProxy.cpp : implementation file
//

#include "stdafx.h"
#include "XMLizeEmployeeTest.h"
#include "DlgProxy.h"
#include "XMLizeEmployeeTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CXMLizeEmployeeTestDlgAutoProxy

IMPLEMENT_DYNCREATE(CXMLizeEmployeeTestDlgAutoProxy, CCmdTarget)

CXMLizeEmployeeTestDlgAutoProxy::CXMLizeEmployeeTestDlgAutoProxy()
{
	EnableAutomation();
	
	// To keep the application running as long as an automation 
	//	object is active, the constructor calls AfxOleLockApp.
	AfxOleLockApp();

	// Get access to the dialog through the application's
	//  main window pointer.  Set the proxy's internal pointer
	//  to point to the dialog, and set the dialog's back pointer to
	//  this proxy.
	ASSERT (AfxGetApp()->m_pMainWnd != NULL);
	ASSERT_VALID (AfxGetApp()->m_pMainWnd);
	ASSERT_KINDOF(CXMLizeEmployeeTestDlg, AfxGetApp()->m_pMainWnd);
	m_pDialog = (CXMLizeEmployeeTestDlg*) AfxGetApp()->m_pMainWnd;
	m_pDialog->m_pAutoProxy = this;
}

CXMLizeEmployeeTestDlgAutoProxy::~CXMLizeEmployeeTestDlgAutoProxy()
{
	// To terminate the application when all objects created with
	// 	with automation, the destructor calls AfxOleUnlockApp.
	//  Among other things, this will destroy the main dialog
	if (m_pDialog != NULL)
		m_pDialog->m_pAutoProxy = NULL;
	AfxOleUnlockApp();
}

void CXMLizeEmployeeTestDlgAutoProxy::OnFinalRelease()
{
	// When the last reference for an automation object is released
	// OnFinalRelease is called.  The base class will automatically
	// deletes the object.  Add additional cleanup required for your
	// object before calling the base class.

	CCmdTarget::OnFinalRelease();
}

BEGIN_MESSAGE_MAP(CXMLizeEmployeeTestDlgAutoProxy, CCmdTarget)
	//{{AFX_MSG_MAP(CXMLizeEmployeeTestDlgAutoProxy)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(CXMLizeEmployeeTestDlgAutoProxy, CCmdTarget)
	//{{AFX_DISPATCH_MAP(CXMLizeEmployeeTestDlgAutoProxy)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_DISPATCH_MAP
END_DISPATCH_MAP()

// Note: we add support for IID_IXMLizeEmployeeTest to support typesafe binding
//  from VBA.  This IID must match the GUID that is attached to the 
//  dispinterface in the .ODL file.

// {4846ED07-EA09-11D4-A609-00C0F0366A36}
static const IID IID_IXMLizeEmployeeTest =
{ 0x4846ed07, 0xea09, 0x11d4, { 0xa6, 0x9, 0x0, 0xc0, 0xf0, 0x36, 0x6a, 0x36 } };

BEGIN_INTERFACE_MAP(CXMLizeEmployeeTestDlgAutoProxy, CCmdTarget)
	INTERFACE_PART(CXMLizeEmployeeTestDlgAutoProxy, IID_IXMLizeEmployeeTest, Dispatch)
END_INTERFACE_MAP()

// The IMPLEMENT_OLECREATE2 macro is defined in StdAfx.h of this project
// {4846ED05-EA09-11D4-A609-00C0F0366A36}
IMPLEMENT_OLECREATE2(CXMLizeEmployeeTestDlgAutoProxy, "XMLizeEmployeeTest.Application", 0x4846ed05, 0xea09, 0x11d4, 0xa6, 0x9, 0x0, 0xc0, 0xf0, 0x36, 0x6a, 0x36)

/////////////////////////////////////////////////////////////////////////////
// CXMLizeEmployeeTestDlgAutoProxy message handlers
