// XMLizeEmployeeTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "XMLizeEmployeeTest.h"
#include "XMLizeEmployeeTestDlg.h"
#include "DlgProxy.h"
#include "XMLizeEmployee.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CXMLizeEmployeeTestDlg dialog

IMPLEMENT_DYNAMIC(CXMLizeEmployeeTestDlg, CDialog);

CXMLizeEmployeeTestDlg::CXMLizeEmployeeTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CXMLizeEmployeeTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CXMLizeEmployeeTestDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_pAutoProxy = NULL;
}

CXMLizeEmployeeTestDlg::~CXMLizeEmployeeTestDlg()
{
	// If there is an automation proxy for this dialog, set
	//  its back pointer to this dialog to NULL, so it knows
	//  the dialog has been deleted.
	if (m_pAutoProxy != NULL)
		m_pAutoProxy->m_pDialog = NULL;
}

void CXMLizeEmployeeTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CXMLizeEmployeeTestDlg)
	DDX_Control(pDX, IDC_XML_STATIC, m_ctlXMLStatic);
	DDX_Control(pDX, IDC_EMPLOYEE_XML, m_ctlXML);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CXMLizeEmployeeTestDlg, CDialog)
	//{{AFX_MSG_MAP(CXMLizeEmployeeTestDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDXML, OnXml)
	ON_BN_CLICKED(IDC_DEXMLIZE, OnDexmlize)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CXMLizeEmployeeTestDlg message handlers

BOOL CXMLizeEmployeeTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	m_ToolTip.Create(this);
	m_ToolTip.Activate(TRUE);
	CWnd *pChildWnd = GetWindow(GW_CHILD);
	while( pChildWnd )
	{
		int iId = pChildWnd->GetDlgCtrlID();
		if ( iId != -1 )
			m_ToolTip.AddTool(pChildWnd, iId);
		pChildWnd = pChildWnd->GetNextWindow();
	}

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CXMLizeEmployeeTestDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CXMLizeEmployeeTestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CXMLizeEmployeeTestDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

// Automation servers should not exit when a user closes the UI
//  if a controller still holds on to one of its objects.  These
//  message handlers make sure that if the proxy is still in use,
//  then the UI is hidden but the dialog remains around if it
//  is dismissed.

void CXMLizeEmployeeTestDlg::OnClose() 
{
	if (CanExit())
		CDialog::OnClose();
}

void CXMLizeEmployeeTestDlg::OnOK() 
{
	if (CanExit())
		CDialog::OnOK();
}

void CXMLizeEmployeeTestDlg::OnCancel() 
{
	if (CanExit())
		CDialog::OnCancel();
}

BOOL CXMLizeEmployeeTestDlg::CanExit()
{
	// If the proxy object is still around, then the automation
	//  controller is still holding on to this application.  Leave
	//  the dialog around, but hide its UI.
	if (m_pAutoProxy != NULL)
	{
		ShowWindow(SW_HIDE);
		return FALSE;
	}

	return TRUE;
}

void CXMLizeEmployeeTestDlg::OnXml() 
{
	//****  Begin - XMLize Employee ****/
	//Get XML string from the employee object
	//
	//Create Employee
	IEmployee EmployeeObj;
	EmployeeObj.CreateDispatch("XMLizeEmployee.Employee");

	//Set Employee Properties
	EmployeeObj.SetId(1);
	EmployeeObj.SetFirstName("Tony");
	EmployeeObj.SetLastName("Blair");
	EmployeeObj.SetAddress("10 Downing Street, London, UK");

	//Get XML String
	CString szEmployeeXML = EmployeeObj.XMLize();
	m_ctlXMLStatic.SetWindowText("XML String of the employee object");
	m_ctlXML.SetWindowText(szEmployeeXML);
	//
	//****  End - XMLize Employee ****/
}

void CXMLizeEmployeeTestDlg::OnDexmlize() 
{
	//****  Begin - deXMLize Employee ****/
	//From XML string construct employee object
	//
	//Create Employee
	IEmployee EmployeeObj;
	EmployeeObj.CreateDispatch("XMLizeEmployee.Employee");

	//Construct employee object from the XML String
	CString szXML = "<Employee><Id>1</Id><FirstName>Tony</FirstName><LastName>Blair</LastName><Address>10 Downing Street, London, UK</Address></Employee>";
	EmployeeObj.deXMLize(szXML);

	//Get properties
	long lId = EmployeeObj.GetId();
	CString szFirstName = EmployeeObj.GetFirstName();
	CString szLastName = EmployeeObj.GetLastName();
	CString szAddress = EmployeeObj.GetAddress();

	m_ctlXMLStatic.SetWindowText("Employee object constructed from XML String");
	m_ctlXML.SetWindowText(""); //Clear display
	CString szResult;
	sprintf(szResult.GetBuffer(200),"Id:%d FirstName:%s LastName:%s Address:%s\n", lId,szFirstName,szLastName, szAddress);
	szResult.ReleaseBuffer();
	m_ctlXML.SetWindowText(szResult);
	//****  End - deXMLize Employee ****/
}

BOOL CXMLizeEmployeeTestDlg::PreTranslateMessage(MSG* pMsg) 
{
	m_ToolTip.RelayEvent(pMsg);	
	return CDialog::PreTranslateMessage(pMsg);
}
